LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux Deepin
User Name
Password
Linux Deepin This forum is for the discussion of Linux Deepin.

Notices


Reply
 
Search this Thread
Old 07-12-2014, 01:15 AM   #1
DeepinGal
Member
 
Registered: Jun 2013
Distribution: Linux Deepin Final 2014
Posts: 32

Rep: Reputation: Disabled
Unhappy Cairo-dock error while attempting to install on Deepin2914 Final


I had no trouble on my 64 bit computer, but it won't install on my 32 bit. Here is what the terminal said:
Code:
(synaptic:2254): GLib-CRITICAL **: g_child_watch_add_full: assertion 'pid > 0' failed
(Reading database ... 183181 files and directories currently installed.)
Preparing to unpack .../cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb ...
Unpacking cairo-dock-data (3.3.99.beta1.2.really.3.3.2-0ubuntu2.1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb (--unpack):
 cannot copy extracted data for './usr/share/cairo-dock/icons/icon-files.svg' to '/usr/share/cairo-dock/icons/icon-files.svg.dpkg-new': unexpected end of file or stream
Preparing to unpack .../cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb ...
Unpacking cairo-dock-core (3.3.99.beta1.2.really.3.3.2-0ubuntu2.1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb (--unpack):
 cannot copy extracted data for './usr/bin/cairo-dock' to '/usr/bin/cairo-dock.dpkg-new': unexpected end of file or stream
Preparing to unpack .../cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb ...
Unpacking cairo-dock-plug-ins:i386 (3.3.99.beta1.2.really.3.3.2-0ubuntu2) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb (--unpack):
 cannot copy extracted data for './usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so' to '/usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so.dpkg-new': unexpected end of file or stream
Selecting previously unselected package cairo-dock-plug-ins-integration:i386.
Preparing to unpack .../cairo-dock-plug-ins-integration_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb ...
Unpacking cairo-dock-plug-ins-integration:i386 (3.3.99.beta1.2.really.3.3.2-0ubuntu2) ...
Selecting previously unselected package cairo-dock-plug-ins-dbus-interface-python.
Preparing to unpack .../cairo-dock-plug-ins-dbus-interface-python_3.3.99.beta1.2.really.3.3.2-0ubuntu2_all.deb ...
Unpacking cairo-dock-plug-ins-dbus-interface-python (3.3.99.beta1.2.really.3.3.2-0ubuntu2) ...
Selecting previously unselected package cairo-dock.
Preparing to unpack .../cairo-dock_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb ...
Unpacking cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu2.1) ...
Processing triggers for man-db (2.6.7.1-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb
 /var/cache/apt/archives/cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb
 /var/cache/apt/archives/cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
dpkg: dependency problems prevent configuration of cairo-dock-plug-ins-integration:i386:
 cairo-dock-plug-ins-integration:i386 depends on cairo-dock-core (>= 3.3.99.beta1.2.really.3.3.2); however:
  Package cairo-dock-core is not installed.

dpkg: error processing package cairo-dock-plug-ins-integration:i386 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cairo-dock:
 cairo-dock depends on cairo-dock-core (>= 3.3.99.beta1.2.really.3.3.2-0ubuntu2.1); however:
  Package cairo-dock-core is not installed.
 cairo-dock depends on cairo-dock-plug-ins (>= 3.3.99.beta1.2.really.3.3.2); however:
  Package cairo-dock-plug-ins:i386 is not installed.
 cairo-dock depends on cairo-dock-plug-ins-integration (>= 3.3.99.beta1.2.really.3.3.2); however:
  Package cairo-dock-plug-ins-integration:i386 is not configured yet.

dpkg: error processing package cairo-dock (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cairo-dock-plug-ins-dbus-interface-python:
 cairo-dock-plug-ins-dbus-interface-python depends on cairo-dock-plug-ins (>= 3.3.99.beta1.2.really.3.3.2-0ubuntu2); however:
  Package cairo-dock-plug-ins:i386 is not installed.

dpkg: error processing package cairo-dock-plug-ins-dbus-interface-python (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 cairo-dock-plug-ins-integration:i386
 cairo-dock
 cairo-dock-plug-ins-dbus-interface-python 

> E: /var/cache/apt/archives/cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb: cannot copy extracted data for './usr/share/cairo-dock/icons/icon-files.svg' to '/usr/share/cairo-dock/icons/icon-files.svg.dpkg-new': unexpected end of file or stream
> E: /var/cache/apt/archives/cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb: cannot copy extracted data for './usr/bin/cairo-dock' to '/usr/bin/cairo-dock.dpkg-new': unexpected end of file or stream
> E: /var/cache/apt/archives/cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb: cannot copy extracted data for './usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so' to '/usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so.dpkg-new': unexpected end of file or stream
 
Old 07-16-2014, 03:09 AM   #2
cxbii
LDcontributor
 
Registered: Aug 2012
Location: china
Distribution: LinuxDeepin
Posts: 120

Rep: Reputation: Disabled
Quote:
Originally Posted by DeepinGal View Post
I had no trouble on my 64 bit computer, but it won't install on my 32 bit. Here is what the terminal said:
Code:
(synaptic:2254): GLib-CRITICAL **: g_child_watch_add_full: assertion 'pid > 0' failed
(Reading database ... 183181 files and directories currently installed.)
Preparing to unpack .../cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb ...
Unpacking cairo-dock-data (3.3.99.beta1.2.really.3.3.2-0ubuntu2.1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb (--unpack):
 cannot copy extracted data for './usr/share/cairo-dock/icons/icon-files.svg' to '/usr/share/cairo-dock/icons/icon-files.svg.dpkg-new': unexpected end of file or stream
Preparing to unpack .../cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb ...
Unpacking cairo-dock-core (3.3.99.beta1.2.really.3.3.2-0ubuntu2.1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb (--unpack):
 cannot copy extracted data for './usr/bin/cairo-dock' to '/usr/bin/cairo-dock.dpkg-new': unexpected end of file or stream
Preparing to unpack .../cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb ...
Unpacking cairo-dock-plug-ins:i386 (3.3.99.beta1.2.really.3.3.2-0ubuntu2) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb (--unpack):
 cannot copy extracted data for './usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so' to '/usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so.dpkg-new': unexpected end of file or stream
Selecting previously unselected package cairo-dock-plug-ins-integration:i386.
Preparing to unpack .../cairo-dock-plug-ins-integration_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb ...
Unpacking cairo-dock-plug-ins-integration:i386 (3.3.99.beta1.2.really.3.3.2-0ubuntu2) ...
Selecting previously unselected package cairo-dock-plug-ins-dbus-interface-python.
Preparing to unpack .../cairo-dock-plug-ins-dbus-interface-python_3.3.99.beta1.2.really.3.3.2-0ubuntu2_all.deb ...
Unpacking cairo-dock-plug-ins-dbus-interface-python (3.3.99.beta1.2.really.3.3.2-0ubuntu2) ...
Selecting previously unselected package cairo-dock.
Preparing to unpack .../cairo-dock_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb ...
Unpacking cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu2.1) ...
Processing triggers for man-db (2.6.7.1-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb
 /var/cache/apt/archives/cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb
 /var/cache/apt/archives/cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
dpkg: dependency problems prevent configuration of cairo-dock-plug-ins-integration:i386:
 cairo-dock-plug-ins-integration:i386 depends on cairo-dock-core (>= 3.3.99.beta1.2.really.3.3.2); however:
  Package cairo-dock-core is not installed.

dpkg: error processing package cairo-dock-plug-ins-integration:i386 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cairo-dock:
 cairo-dock depends on cairo-dock-core (>= 3.3.99.beta1.2.really.3.3.2-0ubuntu2.1); however:
  Package cairo-dock-core is not installed.
 cairo-dock depends on cairo-dock-plug-ins (>= 3.3.99.beta1.2.really.3.3.2); however:
  Package cairo-dock-plug-ins:i386 is not installed.
 cairo-dock depends on cairo-dock-plug-ins-integration (>= 3.3.99.beta1.2.really.3.3.2); however:
  Package cairo-dock-plug-ins-integration:i386 is not configured yet.

dpkg: error processing package cairo-dock (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cairo-dock-plug-ins-dbus-interface-python:
 cairo-dock-plug-ins-dbus-interface-python depends on cairo-dock-plug-ins (>= 3.3.99.beta1.2.really.3.3.2-0ubuntu2); however:
  Package cairo-dock-plug-ins:i386 is not installed.

dpkg: error processing package cairo-dock-plug-ins-dbus-interface-python (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 cairo-dock-plug-ins-integration:i386
 cairo-dock
 cairo-dock-plug-ins-dbus-interface-python 

> E: /var/cache/apt/archives/cairo-dock-data_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_all.deb: cannot copy extracted data for './usr/share/cairo-dock/icons/icon-files.svg' to '/usr/share/cairo-dock/icons/icon-files.svg.dpkg-new': unexpected end of file or stream
> E: /var/cache/apt/archives/cairo-dock-core_3.3.99.beta1.2.really.3.3.2-0ubuntu2.1_i386.deb: cannot copy extracted data for './usr/bin/cairo-dock' to '/usr/bin/cairo-dock.dpkg-new': unexpected end of file or stream
> E: /var/cache/apt/archives/cairo-dock-plug-ins_3.3.99.beta1.2.really.3.3.2-0ubuntu2_i386.deb: cannot copy extracted data for './usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so' to '/usr/lib/i386-linux-gnu/cairo-dock/libcd-Clipper.so.dpkg-new': unexpected end of file or stream
Maybe you should report this problem to the developer of this software.
 
  


Reply

Tags
cairo-dock, error message, repository


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Install Cairo Dock 3.3.2 in Ubuntu 13.10 LXer Syndicated Linux News 0 11-06-2013 02:11 AM
tried installing cairo dock n now update manager gives this error navycut.prince Linux - Newbie 3 06-26-2011 06:40 PM
How to install Cairo Dock in Ubuntu 10.10 (Maverick) allu john sudhakar Linux - Newbie 1 02-15-2011 01:16 AM
[SOLVED]Cairo-dock plugins compile error Scott271 Slackware 7 02-21-2010 07:25 AM
cairo-dock, gnome-dock, kiba-dock?? LinuxNewbie999 *BSD 0 04-03-2008 09:16 AM


All times are GMT -5. The time now is 10:32 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration